package com.bytedance.ies.sdk.widgets;

import X.C2885GjO;
import com.bytedance.covode.number.Covode;

public interface RecyclableWidgetEventListener extends C2885GjO {
    static {
        Covode.recordClassIndex(30541);
    }

    void onPostInit(LiveRecyclableWidget liveRecyclableWidget);

    void onPostLoad(LiveRecyclableWidget liveRecyclableWidget);

    void onPostUnload(LiveRecyclableWidget liveRecyclableWidget);

    void onPreInit(LiveRecyclableWidget liveRecyclableWidget);

    void onPreLoad(LiveRecyclableWidget liveRecyclableWidget);

    void onPreUnload(LiveRecyclableWidget liveRecyclableWidget);
}
